- Home
- API Enriched
- Shape
- shape
- Known Bot Overview Statistics.
Known Bot Overview Statistics.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/v1/reporting/traffic/known/statistics/overview';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"example","filters":{"global_filters":[{"key":"TIMESTAMP","op":"IN","values":["example"]}],"region_filter":"US"},"limit":1,"namespace":"example","pagination":{"page_number":1,"page_size":1},"request_metrics":["example"],"sort_options":[{"key":"TIMESTAMP","order":"DESCENDING"}],"start_time":"example","time_bucket_size":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/v1/reporting/traffic/known/statistics/overview \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "example", "filters": { "global_filters": [ { "key": "TIMESTAMP", "op": "IN", "values": [ "example" ] } ], "region_filter": "US" }, "limit": 1, "namespace": "example", "pagination": { "page_number": 1, "page_size": 1 }, "request_metrics": [ "example" ], "sort_options": [ { "key": "TIMESTAMP", "order": "DESCENDING" } ], "start_time": "example", "time_bucket_size": "example" }'GET overview statistics for known bot traffic.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required namespace is used to scope the query. Only virtual_host in given namespace will be considered.
Request Bodyrequired
Section titled “Request Bodyrequired”Known Bot Request.
object
End time of the query period Format: unix_timestamp|RFC 3339
Optional: If not specified, then the end_time will be evaluated to start_time+10m
If start_time is not specified, then the end_time will be evaluated to
object
List of global filters.
Query Global Filter.
object
An unordered list of filter strings.
Limits the number of transactions returned in the response Optional: If not specified, the first 500 transactions that matches the query will be returned in the response. The maximum value for limit is 500.
Namespace is used to scope the query. Only virtual_host in given namespace will be considered.
object
Configuration parameter for page number
Size or capacity specification
Optional, list of metric identifiers to retrieve.
Sort OPTIONS for the query result. If unspecified, sort is by count, in descending order.
Query Result Sort Option.
object
Start time of the query period Format: unix_timestamp|RFC 3339
Optional: If not specified, then the start_time will be evaluated to end_time-10m
If end_time is not specified, then the start_time will be evaluated to
ISO 8601 duration, e.g. “PT5M” = 5 minutes, “PT1H” = 1 hour, “P1D” = 1 day.
Optional: If specified, timeseries style APIs should use this as the bucket size. If not specified, the backend will automatically choose an appropriate bucket size based on start_time and end_time.
Responses
Section titled “Responses”A successful response.
Response containing overview statistics for known bot traffic.
object
Distinct AI bot entities observed in the selected time range.
Trend sentiment indicator for distinct AI bots.
Percentage change of distinct AI bots versus the previous period.
Distinct known-bot categories observed in the selected time range.
Trend sentiment indicator for distinct categories.
Percentage change of distinct categories versus the previous period.
Distinct known bot entities observed in the selected time range.
Trend sentiment indicator for distinct known bots.
Percentage change of distinct known bots versus the previous period.
Total AI bot transactions in the selected time range.
Trend sentiment indicator for AI bot transactions.
Percentage change of AI bot transactions versus the previous period.
Total distinct AI bot count.
Total distinct known-bot category count.
Total distinct known bot count.
Total known bot transactions in the selected time range.
Trend sentiment indicator for total transactions.
Percentage change of total known bot transactions versus the previous period.
Examplegenerated
{ "distinct_ai_bots": "example", "distinct_ai_bots_sentiment": "example", "distinct_ai_bots_trend": 1, "distinct_categories": "example", "distinct_categories_sentiment": "example", "distinct_categories_trend": 1, "distinct_known_bots": "example", "distinct_known_bots_sentiment": "example", "distinct_known_bots_trend": 1, "total_ai_transactions": "example", "total_ai_transactions_sentiment": "example", "total_ai_transactions_trend": 1, "total_distinct_ai_bots": "example", "total_distinct_categories": "example", "total_distinct_known_bots": "example", "total_transactions": "example", "total_transactions_sentiment": "example", "total_transactions_trend": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example